# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2013 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               userinfo
Version:            2.4
Release:            2.2
Summary:            Display Information about Local Users
Source:             http://prdownloads.sourceforge.net/userinfo/userinfo-%{version}.tar.bz2
URL:                https://benkibbey.wordpress.com/userinfo/
Group:              System/Management
License:            GPL-3.0+
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
Userinfo is a console utility to display a variety of information about a
local user. It uses loadable modules to perform different tasks which
separate the output with a field deliminator. Some may find it useful in shell
scripts to gather information which might be tedious by other methods. It has
been tested to run on Linux, FreeBSD, NetBSD, and Solaris.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm -f "%{buildroot}%{_libdir}/userinfo"/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog KnownBugs NEWS README
%{_bindir}/ui
%dir %{_libdir}/userinfo
%{_libdir}/userinfo/login.so
%{_libdir}/userinfo/mail.so
%{_libdir}/userinfo/passwd.so
%doc %{_mandir}/man1/ui.1*

%changelog
* Sun Apr  7 2013 pascal.bleser@opensuse.org
- initial version (2.4)
